Bug 799887 - Duplicate files listed on mount point
Duplicate files listed on mount point
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
pre-release
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-05 05:58 EST by Sachidananda Urs
Modified: 2013-12-18 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:15:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2012-03-05 05:58:30 EST
Description of problem:

Duplicate files on mount.


Version-Release number of selected component (if applicable):

3.3.0qa25

How reproducible:

Always

Steps to Reproduce:

Open a file in emacs (make sure that emacs creates backup files)... i.e the make-backup-files variable is not set to null. (setq make-backup-files nil)

Create a file foo.txt and edit it, emacs creates backup file foo.txt~ and edit foo.txt again in the same buffer and save it... rename happens internally

ls on the mount point shows two copies of foo.txt~
  
Actual results:

For example:
# ls -l 
-rw-r--r--. 1 root root  527 Mar  5  2012 lock.c
---------T. 1 root root    0 Mar  5 01:52 lock.c~
---------T. 1 root root    0 Mar  5 01:52 lock.c~


Expected results:

Single copy of the file.
Comment 1 Amar Tumballi 2012-03-07 03:59:48 EST
patch available at http://review.gluster.com/2869

will close the bug once it gets into upstream.
Comment 2 Anand Avati 2012-03-07 12:24:09 EST
CHANGE: http://review.gluster.com/2869 (cluster/distribute: send proper 'dict' in readdirp()) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.